Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455680 - docbook-simple.cat:12:8:E: CATALOG entries cause loop
Summary: docbook-simple.cat:12:8:E: CATALOG entries cause loop
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: docbook-simple
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 23:46 UTC by Tom Lane
Modified: 2013-07-03 03:19 UTC (History)
1 user (show)

Fixed In Version: docbook-simple-1.1-4.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-22 11:02:30 UTC


Attachments (Terms of Use)

Description Tom Lane 2008-07-16 23:46:49 UTC
Description of problem:
docbook-simple catalog file seems to be broken

Version-Release number of selected component (if applicable):
docbook-simple-1.1-3.fc9.noarch

How reproducible:
100%

Steps to Reproduce:
1. $ cat conftest.sgml
<!doctype book PUBLIC "-//OASIS//DTD DocBook V4.2//EN">
<book>
 <title>test</title>
 <chapter>
  <title>random</title>
   <sect1>
    <title>testsect</title>
    <para>text</para>
  </sect1>
 </chapter>
</book>

2. onsgmls -s conftest.sgml

Actual results:
onsgmls:/etc/sgml/docbook-slides.cat:15:8:E: CATALOG entries cause loop
onsgmls:/etc/sgml/docbook-simple.cat:12:8:E: CATALOG entries cause loop
and onsgmls returns with exit code 1.

Expected results:
No error (which is what I got in F-8 and prior versions)

Additional info:
This is breaking the build for some documentation that I work on frequently,
so would appreciate a fix ASAP.

Obviously, docbook-slides is broken the same way --- should I file a separate
bug against it?

Comment 1 Ondrej Vasik 2008-07-17 06:16:00 UTC
Thanks for report... no need for separate bug, just if you want better tracking
of progress. Will try to find out what's causing that issue ASAP. Just as
temporary workaround, remove lines CATALOG /etc/sgml/catalog from
/etc/sgml/docbook-slides.cat and /etc/sgml/docbook-simple.cat and everything
should be ok. It seems that something got broken during merge review process
changes.

Comment 2 Ondrej Vasik 2008-07-18 12:35:01 UTC
Fixed and build in rawhide as docbook-simple-1.1-4.fc10, will do docbook-slides
update soon.
There were and are more issues with docbook-simple - including issue with
updates. Therefore I'm not sure if the F9 update of
docbook-simple/docbook-slides is proper solution. Problem is, that postun of old
package will remove files installed by new package and will break catalogs. yum
reinstall will solve the issue, but I'm not sure what is proper solution for
that case. You could try to reproduce the behaviour by yum reinstall
docbook-simple and checking rpm -V after that. I see this solution as prevention
of update breakage - to move files temporarily to different location - to
prevent deleting of them in %postun of previous package. Do you have other idea?

Comment 3 Ondrej Vasik 2008-07-18 13:03:53 UTC
Slides built as docbook-slides-3.4.0-4.fc10. Same issues... Anyway location
change should be harmless, will check it. 

Comment 4 Fedora Update System 2008-07-19 22:16:26 UTC
docbook-simple-1.1-4.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-07-19 22:18:15 UTC
docbook-slides-3.4.0-4.fc9 has been submitted as an update for Fedora 9

Comment 6 Ondrej Vasik 2008-07-19 22:23:40 UTC
Built with location change, works ok, the only issue I found so far is with
updating from F-9 to Rawhide - as when updating package the catalogs remain
registered - which will cause pointing to nonexisting files... will try to solve
that issue in rawhide or next F-9 update. Anyway this change was necessary as
the postun of the packages was terribly broken and any update was breaking old
installation (as postun removed files from new installed package).

Comment 7 Ondrej Vasik 2008-07-22 11:02:30 UTC
docbook-simple-1.1-4.fc9 and docbook-slides-3.4.0-4.fc9 tagged dist-f9-updates ,
don't know why it is not closed automatically by bodhi. Closing CURRENTRELEASE.

Comment 8 Fedora Update System 2008-07-23 07:12:32 UTC
docbook-slides-3.4.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-07-23 07:15:39 UTC
docbook-simple-1.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.